---
title: Get all embeds
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Embeddable Graphs
---

# Get all embeds{% #get-all-embeds %}

{% tab title="v1" %}

| Datadog site      | API endpoint                                         |
| ----------------- | ---------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v1/graph/embed |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v1/graph/embed |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v1/graph/embed      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v1/graph/embed      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v1/graph/embed  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v1/graph/embed     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v1/graph/embed |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v1/graph/embed |

### Overview

Gets a list of previously created embeddable graphs.

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response with embeddable graphs.

| Parent field    | Field           | Type     | Description                                           |
| --------------- | --------------- | -------- | ----------------------------------------------------- |
|                 | embedded_graphs | [object] | List of embeddable graphs.                            |
| embedded_graphs | dash_name       | string   | Name of the dashboard the graph is on (null if none). |
| embedded_graphs | dash_url        | string   | URL of the dashboard the graph is on (null if none).  |
| embedded_graphs | embed_id        | string   | ID of the embed.                                      |
| embedded_graphs | graph_title     | string   | Title of the graph.                                   |
| embedded_graphs | html            | string   | HTML fragment for the embed (iframe).                 |
| embedded_graphs | revoked         | boolean  | Boolean flag for whether or not the embed is revoked. |
| embedded_graphs | shared_by       | int64    | ID of the use who shared the embed.                   |

{% /tab %}

{% tab title="Example" %}

```json
{
  "embedded_graphs": [
    {
      "dash_name": "string",
      "dash_url": "string",
      "embed_id": "string",
      "graph_title": "string",
      "html": "string",
      "revoked": false,
      "shared_by": "integer"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Authentication Error
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v1/graph/embed" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
